package com.qihoo360.mobilesafe.clean.aidl;

interface IProcessScanCallback2 {

    void onStart();

    /**
     *
     * @param index 第 n 项.
     * @param count 一共 n 项.
     * @param scanItem 当前扫描的项目
     */
    void onProgress(int index, int count, String scanItem);

    /**
     * 每扫到一个项目的时候会回调.
     * @param appPackageInfoBundle key 如下:
     *        key                  type           AppPackageInfo          description
     *      key_pkg_name           String         packageName             包名
     *      key_size_in_byte       long           usedMemory              大小
     */
    void onFoundItem(in Bundle appPackageInfoBundle);

    void onFinished(int resultCode);

}
